OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESData

# IGESData_Array1OfIGESEntity Class Reference

`#include <IGESData_Array1OfIGESEntity.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | IGESData_Array1OfIGESEntity (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | IGESData_Array1OfIGESEntity (const Handle(IGESData_IGESEntity)&Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Handle(IGESData_IGESEntity)&V)
Standard_EXPORT void | Destroy ()
| ~IGESData_Array1OfIGESEntity ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const IGESData_Array1OfIGESEntity & | Assign (const IGESData_Array1OfIGESEntity &Other)
const IGESData_Array1OfIGESEntity & | operator= (const IGESData_Array1OfIGESEntity &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(IGESData_IGESEntity)&Value)
const Handle_IGESData_IGESEntity & | Value (const Standard_Integer Index) const
const Handle_IGESData_IGESEntity & | operator() (const Standard_Integer Index) const
Handle_IGESData_IGESEntity & | ChangeValue (const Standard_Integer Index)
Handle_IGESData_IGESEntity & | operator() (const Standard_Integer Index)
## Private Member Functions
Standard_EXPORT | IGESData_Array1OfIGESEntity (const IGESData_Array1OfIGESEntity &AnArray)
## Private Attributes
Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT IGESData_Array1OfIGESEntity::IGESData_Array1OfIGESEntity | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT IGESData_Array1OfIGESEntity::IGESData_Array1OfIGESEntity | ( | const Handle(IGESData_IGESEntity)& | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

IGESData_Array1OfIGESEntity::~IGESData_Array1OfIGESEntity | ( |  | ) | `[inline]`

Standard_EXPORT IGESData_Array1OfIGESEntity::IGESData_Array1OfIGESEntity | ( | const IGESData_Array1OfIGESEntity & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const IGESData_Array1OfIGESEntity& IGESData_Array1OfIGESEntity::Assign | ( | const IGESData_Array1OfIGESEntity & | Other | ) |

Handle_IGESData_IGESEntity& IGESData_Array1OfIGESEntity::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void IGESData_Array1OfIGESEntity::Destroy | ( |  | ) |

Standard_EXPORT void IGESData_Array1OfIGESEntity::Init | ( | const Handle(IGESData_IGESEntity)& | V | ) |

Standard_Boolean IGESData_Array1OfIGESEntity::IsAllocated | ( |  | ) | const

Standard_Integer IGESData_Array1OfIGESEntity::Length | ( |  | ) | const

Standard_Integer IGESData_Array1OfIGESEntity::Lower | ( |  | ) | const

void IGESData_Array1OfIGESEntity::operator delete | ( | void * | anAddress | ) | `[inline]`

void* IGESData_Array1OfIGESEntity::operator new | ( | size_t | size | ) | `[inline]`

void* IGESData_Array1OfIGESEntity::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_IGESData_IGESEntity& IGESData_Array1OfIGESEntity::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_IGESData_IGESEntity& IGESData_Array1OfIGESEntity::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const IGESData_Array1OfIGESEntity& IGESData_Array1OfIGESEntity::operator= | ( | const IGESData_Array1OfIGESEntity & | Other | ) | `[inline]`

void IGESData_Array1OfIGESEntity::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(IGESData_IGESEntity)& | Value
| ) |

Standard_Integer IGESData_Array1OfIGESEntity::Upper | ( |  | ) | const

const Handle_IGESData_IGESEntity& IGESData_Array1OfIGESEntity::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean IGESData_Array1OfIGESEntity::isAllocated`[private]`

Standard_Integer IGESData_Array1OfIGESEntity::myLowerBound`[private]`

Standard_Address IGESData_Array1OfIGESEntity::myStart`[private]`

Standard_Integer IGESData_Array1OfIGESEntity::myUpperBound`[private]`

The documentation for this class was generated from the following file:

- IGESData_Array1OfIGESEntity.hxx